Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class GroovyCodeQualityPluginConvention

    java.lang.Object
      org.gradle.api.plugins.quality.GroovyCodeQualityPluginConvention

    class GroovyCodeQualityPluginConvention

Property Summary
`String` | `codeNarcConfigFileName` The name of the CodeNarc configuration file, relative to the project directory.
`String` | `codeNarcReportsDirName` The name of the directory to write CodeNarc reports into.
`String` | `codeNarcReportsFormat` The output format of the generated CodeNarc report.

Constructor Summary
`GroovyCodeQualityPluginConvention(Project project)`

Method Summary
`File` | `getCodeNarcConfigFile()` The CodeNarc configuration file.
`File` | `getCodeNarcReportsDir()` The directory to write CodeNarc reports into.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### codeNarcConfigFileName

    String codeNarcConfigFileName

  The name of the CodeNarc configuration file, relative to the project directory.

### codeNarcReportsDirName

    String codeNarcReportsDirName

  The name of the directory to write CodeNarc reports into.

### codeNarcReportsFormat

    String codeNarcReportsFormat

  The output format of the generated CodeNarc report.

Constructor Detail

### GroovyCodeQualityPluginConvention

    GroovyCodeQualityPluginConvention(Project project)

Method Detail

### getCodeNarcConfigFile

    File getCodeNarcConfigFile()

  The CodeNarc configuration file.

### getCodeNarcReportsDir

    File getCodeNarcReportsDir()

  The directory to write CodeNarc reports into.

Gradle API 1.10